#!/bin/sh

set -x


#Usage: mxbarcode.sh <outputformat> <barcode params ...>

TMP=/tmp/`basename $0 .sh`$$.ps
OUTFORMAT=$1
shift

#echo OUT $OUTFORMAT

"$@" > $TMP
RC=$?

if [ $RC != 0 ]; then
#echo RC $RC
    exit $RC
fi

#echo OUTFORMAT $OUTFORMAT

case $OUTFORMAT in
    PS|EPS)
	cat $TMP;;
    JPEG)
	GF=/tmp/`basename $0 .sh`.jpeg
	convert $TMP $GF
	cat $GF
	rm -f  $GF
	;;
    GIF)
	GF=/tmp/`basename $0 .sh`.gif
	convert $TMP $GF
	cat $GF
	rm -f  $GF
	;;
    *)echo bitte??? ;;
esac

rm -f $TMP;

exit 0
