#!/bin/sh

# $1: tempfile
# $2: archivname
# $3: maskenname
# $4: numcount
# $5: formularname
# $6: username
# $7: archheader

#set -x
#exec 2>/tmp/`basename $0`.$$
#
#echo $0 $* >/tmp/`basename $0`.$$

x=`expr index $2 .`
x=`expr $x + 1`
type=`expr substr $2 $x 3`

case "$type" in
    "pdf") device=pdfwrite;;
    "ps") device=pswrite;;
esac

device=
if [ ."$device" != . ]; then
    gs -q -sDEVICE=$device -sOutputFile=$2.$$ -dNOPAUSE -dBATCH $1
    echo -n -e $7 >$2
    cat $2.$$ >>$2
    rm -f $2.$$
else
    echo -n -e $7 >$2
    cat $1 >>$2
fi
#cp -f $2 /tmp/xxxy

exit 0
