#!/bin/sh
#set -x
#exec 2>/tmp/mxhelper

ECHO=/bin/echo

if [ "`uname -s`" == AIX ]; then
    ECHO=/bin/echo
    ECHOEOPT=
else
    ECHO="/bin/echo"
    ECHOEOPT=-e
fi


IFS=?
set -- $QUERY_STRING

file="$1"
flag="$2"
conttype="$3"
decode=0

if [ $flag -gt 2 ]; then
    decode=1
    flag=`expr $flag - 2`
fi

urldecode()
{
    str=$1
    outstr=

    while sub=`expr index "$str" "\%"`
    do
#echo sub $sub
	sub2=`expr $sub + 1`
#echo sub2 $sub2
	sub=`expr $sub - 1`
#echo new sub $sub
	num=`expr substr $str $sub2 2`
#echo num $num
	head=`expr substr $str 1 $sub`
#echo head $head
	sub2=`expr $sub2 + 2`
#echo new sub2 $sub2
	len=`expr length $str`
#echo len1 $len
	len=`expr $len - $sub2`
	len=`expr $len + 1`
#echo len2 $len
	if [ $len -gt 0 ]; then
	    str=`expr substr $str $sub2 $len`
	fi
#echo new str $str
	outstr=$outstr$head
	if expr $num : '\(^[0-9a-fA-F][0-9a-fA-F]$\)' >/dev/null 2>&1
	then
#echo ok
	    num=`perl -e "printf(\"%c\", hex($num));"`
#echo num2 "$num"
	    outstr=$outstr$num
	else
#echo nok $num
	    outstr=${outstr}%${num}
	fi

    done

#echo outstr $outstr remain $str
    echo $outstr$str
}

if [ $decode == 1 ]; then
    file=`urldecode "$file"`
fi

docopy()
{
    read a
    read a

    while read a
    do
	echo -n $a
    done
}


#if [ ! -r "$file" ]; then
#    echo want new file >&2
#    dir=`dirname "$file"`
#    file="$dir/`ls -1 "$dir" | tail -n1`"
#else
#    echo file ok >&2
#fi
#echo new file now +$file+ >&2

if [ .$conttype != . ]
then
    $ECHO $ECHOEOPT "Content-type: $conttype\n"
else
    type=`grep "Content-type: application" "$file"`
    if [ ."$type" != . ]; then
	device=
	case "$type" in
	    "Content-type: application/pdf") device=pdfwrite;;
	    "Content-type: application/postscript") device=pswrite;;
	esac
	if [ ."$device" != . ]; then
	    sed "1,2d" "$file" >"$file.$$"
	    rm $file

	    gs -q -sDEVICE=$device -sOutputFile="$file" -dNOPAUSE -dBATCH "$file.$$"
	    $ECHO $ECHOEOPT "$type\n"
	    rm -f "$file.$$"
	fi
    fi
fi

cat "$file"

remove()
{
    
    rm -rf "$1"
    rm -rf `dirname "$1"`
}

if [ "$flag" = "1" ]
then
    remove "$file"
elif [ $flag -gt 1 ]
then
    if [ -f "$file" ]
    then
        if [ ! -f "$file.lck" ]
        then
	    > "$file.lck"
	    (sleep $flag ; remove "$file"; rm -f "$file.lck") 0<&- 1<&- 2<&- &
        fi
    fi
fi
exit 0
