#!/usr/bin/perl

use lib $ENV{MXROOT}."/src/programs/perlrpc/";
use Prpc;

$essroot = "";
$tracelevel = 0;

select STDOUT; $| = 1;

$essroot = $ARGV[0];
$tracelevel = $ARGV[1];
$tracelevel = $tracelevel & 7;

printf(STDERR "tracelevel %d\n", $tracelevel);

sub pv
{
    my $level = shift;

    printf(STDERR @_) if($tracelevel >= $level);
}

Prpc::rpcinit();

$rc = 0;
while(<STDIN>) {
    chomp;

    pv(1, "got <%s>\n", $_);
    $func = $essroot . "/src/formperl/" . $_ .".pl";
    pv(1, "want do <%s>\n", $func);
    $rc = do $func;

    pv(1, "ret %d\n", $rc);
    Prpc::rformexit($rc);
}

exit(0);
