
<?php

try {
    $rc=0;
    $mxdpid = "";
    $tracelevel = "";
    $incs = array();
    $essroot = "";

    if(isset($argv[1])) { $essroot = $argv[1];}
    if(isset($argv[2])) { $tracelevel = $argv[2];}
    $tracelevel = $tracelevel % 8;

    fprintf(STDERR, "tracelevel %d, path <%s>\n", $tracelevel, $essroot);
//    enable_dl(true);
    ini_set("enable_dl", true);
    dl($essroot . "/src/programs/phprpc/phprpc.so");
    
    $rc = rpcinit();
    if($rc) {
	throw new Exception($rc,1);
    }
	
    while(!feof(STDIN)) {
	$rc = 0;
	$buf = rtrim(fgets(STDIN), "\n\r");
	echo $buf."\n";
	$bufc = $essroot. "/src/formphp/" . $buf . ".php";
	echo $bufc."\n";
	// File
	clearstatcache();
	if(file_exists($bufc)) {
//fprintf(STDERR, "got file <%s>\n", $bufc);
	    if(array_key_exists($bufc, $incs)) {
//fprintf(STDERR, "in buffer %d, mtime %d\n", $incs[$bufc], filemtime($bufc));
		if (filemtime($bufc) > $incs[$bufc]) {
		    throw new Exception("File <".$bufc."> changed. Force restart\n",2);
		}
	    } else {
		$incs[$bufc] = filemtime($bufc);
//fprintf(STDERR, "set mtime for <%s> to  %d\n", $bufc, $incs[$bufc]);
		require_once($bufc);
	    }
	} else {
	    fprintf(STDERR, "File <".$bufc."> does not exist.\n");
	    $rc = -1;
	}
		
	if(!$rc) {
	    $class = new $buf;
	    $rc = $class->doit();
	}
	rformexit($rc);
    }
} catch (Exception $e) {
    echo $e->getCode()."\n";
    echo $e->getMessage()."\n";
    exit(1);
}

?>
